#include <iostream>

using namespace std;

int main()
{
    int m,n=0;
    int x[100000],y[100000];

    cin>>m;
    for(int i=1;i<=m;i++)
        cin>>x[i]>>y[i];


    for(int i=1;i<=m;i++){
        long long rezultat=0;
        n++;
        for(int j=1;j<=n;j++){
            rezultat+= abs(x[j]-i)*abs(y[j]-i);
        }
        cout<<rezultat<<endl;
    }




    return 0;
}